Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class GetBoxInfoResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v1.ResponseType
be.fgov.ehealth.ehbox.consultation.protocol.v3.GetBoxInfoResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class GetBoxInfoResponse extends ResponseType implements Serializable

Java class for GetBoxInfoResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetBoxInfoResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="BoxId" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType"/>
             <element name="NbrMessagesInStandBy" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="CurrentSize" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="MaxSize" type="{http://www.w3.org/2001/XMLSchema}long"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetBoxInfoResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BoxIdType`
  `getBoxId()`
  Gets the value of the boxId property.
  `Long`
  `getCurrentSize()`
  Gets the value of the currentSize property.
  `Long`
  `getMaxSize()`
  Gets the value of the maxSize property.
  `Integer`
  `getNbrMessagesInStandBy()`
  Gets the value of the nbrMessagesInStandBy property.
  `void`
  `setBoxId(BoxIdType value)`
  Sets the value of the boxId property.
  `void`
  `setCurrentSize(Long value)`
  Sets the value of the currentSize property.
  `void`
  `setMaxSize(Long value)`
  Sets the value of the maxSize property.
  `void`
  `setNbrMessagesInStandBy(Integer value)`
  Sets the value of the nbrMessagesInStandBy property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

  `getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetBoxInfoResponse

    public GetBoxInfoResponse()

- ## Method Details

  - ### getBoxId

    public BoxIdType getBoxId()
    Gets the value of the boxId property.
    Returns:
      possible object is `BoxIdType`

  - ### setBoxId

    public void setBoxId(BoxIdType value)
    Sets the value of the boxId property.
    Parameters:
      `value` - allowed object is `BoxIdType`

  - ### getNbrMessagesInStandBy

    public Integer getNbrMessagesInStandBy()
    Gets the value of the nbrMessagesInStandBy property.
    Returns:
      possible object is `Integer`

  - ### setNbrMessagesInStandBy

    public void setNbrMessagesInStandBy(Integer value)
    Sets the value of the nbrMessagesInStandBy property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getCurrentSize

    public Long getCurrentSize()
    Gets the value of the currentSize property.
    Returns:
      possible object is `Long`

  - ### setCurrentSize

    public void setCurrentSize(Long value)
    Sets the value of the currentSize property.
    Parameters:
      `value` - allowed object is `Long`

  - ### getMaxSize

    public Long getMaxSize()
    Gets the value of the maxSize property.
    Returns:
      possible object is `Long`

  - ### setMaxSize

    public void setMaxSize(Long value)
    Sets the value of the maxSize property.
    Parameters:
      `value` - allowed object is `Long`